Package org.drinkless.tdlib

# Class TdApi.ChatPosition

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatPosition

Enclosing class:
  `TdApi`

public static class TdApi.ChatPosition extends TdApi.Object
Describes a position of a chat in a chat list.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isPinned`
  True, if the chat is pinned in the chat list.
  `TdApi.ChatList`
  `list`
  The chat list.
  `long`
  `order`
  A parameter used to determine order of the chat in the chat list.
  `TdApi.ChatSource`
  `source`
  Source of the chat in the chat list; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatPosition()`
  Describes a position of a chat in a chat list.
  `ChatPosition(TdApi.ChatList list, long order, boolean isPinned, TdApi.ChatSource source)`
  Describes a position of a chat in a chat list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### list

    public TdApi.ChatList list
    The chat list.

  - ### order

    public long order
    A parameter used to determine order of the chat in the chat list. Chats must be sorted by the pair (order, chat.id) in descending order.

  - ### isPinned

    public boolean isPinned
    True, if the chat is pinned in the chat list.

  - ### source

    @Nullable public TdApi.ChatSource source
    Source of the chat in the chat list; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatPosition

    public ChatPosition()
    Describes a position of a chat in a chat list.

  - ### ChatPosition

    public ChatPosition(TdApi.ChatList list, long order, boolean isPinned, TdApi.ChatSource source)
    Describes a position of a chat in a chat list.
    Parameters:
      `list` - The chat list.
      `order` - A parameter used to determine order of the chat in the chat list. Chats must be sorted by the pair (order, chat.id) in descending order.
      `isPinned` - True, if the chat is pinned in the chat list.
      `source` - Source of the chat in the chat list; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR